<!DOCTYPE html>
<html lang="de">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Nachrichten</title>

  <style>
    .grid-container {
      display: grid;
      grid-template-rows: 100px 100px 100px;
      grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
      grid-gap: 1px;
      grid-template-areas:
        "area1 area1 area1 area1 area1"
        "area2 area2 area3 area3 area3"
        "area4 area4 area3 area3 area3"
        "area4 area4 area3 area3 area3"
        "area4 area4 area5 area5 area5"
        "area4 area4 area5 area5 area5"
        "area4 area4 area5 area5 area5";
    }

    .grid-item1 {
      background: Whitesmoke;
      text-align: center;
      border: black 0.5px solid;
      grid-area: area1;
    }

    .grid-item2 {
      background: Whitesmoke;
      text-align: center;
      border: black 1px solid;
      grid-area: area2;
    }

    .grid-item3 {
      background: Whitesmoke;
      text-align: center;
      border: black 1px solid;
      grid-area: area3;
    }

    .grid-item4 {
      background: Whitesmoke;
      text-align: center;
      border: black 1px solid;
      grid-area: area4;
    }

    .grid-item5 {
      background: Whitesmoke;
      text-align: center;
      border: black 1px solid;
      grid-area: area5;
    }

    body {
      font-family: Verdana, Arial, Sans-Serif;
      background-color: Whitesmoke;
    }

    td {
      border-collapse: collapse;
      background: Whitesmoke;
      border: black 0.5px solid;
      padding: 0px
    }

    .tag {
      color: transparent;
      background: transparent;
      cursor: pointer;
      border: Solid 0px transparent;
      text-align: center;
      width: 70px;
    }

    .tag:focus-visible {
      outline: 0px;
      border: 0px;
    }
  </style>

</head>

<body>

  <div class="grid-container">
    <div class="grid-item1">
      <nav>
        <u>Suchen</u> |
        <span onClick="window.location.href='eintragen.php';" style="cursor:pointer">Eintragen</span> |
        <span onClick="window.location.href='bearbeiten.php';" style="cursor:pointer">Bearbeiten</span> |
        <span onClick="window.location.href='auslesen.php';" style="cursor:pointer">Nachrichten</span> |
      </nav>
    </div>

    <div class="grid-item2"></div>

    <div class="grid-item3">Leihen/Rückgabe<br>

      <form method="post">

        <table border="1">
          <tr>
            <th> Titel/Tag </th>
            <th> Montag </th>
            <th> Dienstag </th>
            <th> Mittwoch </th>
            <th> Ändern </th>
          </tr>

          <?php
          include "db.php";

          if ($_SERVER["REQUEST_METHOD"] == "POST") {
            if (isset($_POST["submit"])) {

              // Eintragen
              if (isset($_POST["id"])) {
                foreach ($_POST["id"] as $id) {
                  $db->query("UPDATE `datenbank`
                          SET `Montag` = " . $_POST[$id . "|Montag"] . ",
                           `Dienstag` = " . $_POST[$id . "|Dienstag"] . ",
                           `Mittwoch` = " . $_POST[$id . "|Mittwoch"] . "
                          WHERE `id` = " . $id);
                }
              }
            }
          }

          // Auslesen
          $select = $db->query("SELECT `id`, `name`, `Montag`, `Dienstag`, `Mittwoch` FROM `datenbank`");
          $eintraege = $select->fetchAll();

          $farben = ["transparent", "red", "green", "yellow"];
          foreach ($eintraege as $eintrag) {
            echo '<tr>
            <th> ' . $eintrag["name"] . ' </th>
            <td style="background: ' . $farben[$eintrag["Montag"]] . ';"> <input type="text" name="' . $eintrag["id"] . '|Montag" value="' . $eintrag["Montag"] . '" readonly class="tag"> </td>
            <td style="background: ' . $farben[$eintrag["Dienstag"]] . ';"> <input type="text" name="' . $eintrag["id"] . '|Dienstag" value="' . $eintrag["Dienstag"] . '" readonly class="tag"> </td>
            <td style="background: ' . $farben[$eintrag["Mittwoch"]] . ';"> <input type="text" name="' . $eintrag["id"] . '|Mittwoch" value="' . $eintrag["Mittwoch"] . '" readonly class="tag"> </td> <th><input type="checkbox" name="id[]" value="' . $eintrag["id"] . '"></th>
          </tr>';
          }
          ?>
        </table>

        <p><button type="submit" name="submit">Speichern</button></p>

      </form>

    </div>

    <div class="grid-item4"></div>

    <div class="grid-item5">Nachrichten<br>
      <form method="post">
        <input name="Text1" type="text" />
      </form>
      <input name="Submit1" type="submit" value="Speichern" /><br>
    </div>

  </div>

  <script>
    let tage = document.querySelectorAll(".tag");
    tage.forEach((tag) => {
      tag.addEventListener("click", (e) => {
        let wert = parseInt(e.target.value);
        wert++;
        if (wert > 3) wert = 0;
        e.target.value = wert;
        farben = ["transparent", "red", "green", "yellow"];
        e.target.parentNode.style.backgroundColor = farben[wert];
      });
    });
  </script>

</body>

</html>